Skip to main content
GET
/
storefronts
List storefronts
curl --request GET \
  --url https://api.interchange.io/api/v2/buyer/storefronts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 0,
      "platformId": "<string>",
      "name": "<string>",
      "publisherDomain": "<string>",
      "adapterProviderType": "<string>",
      "creativeCapabilities": {
        "kind": "creative_generation",
        "modalities": [],
        "transformerIds": [
          "<string>"
        ],
        "supportedFormatIds": [
          "<string>"
        ],
        "supportedFormatCount": 4503599627370495,
        "supportsBuildCreative": true,
        "supportsPreviewCreative": true
      },
      "adapterConnection": {
        "authModes": [],
        "accountCount": 4503599627370495,
        "selectedAccountName": "<string>"
      },
      "supportedCampaignTypes": [],
      "channels": [
        "CTV",
        "display"
      ],
      "regions": [
        "UK",
        "EMEA"
      ],
      "sourceCount": 5,
      "connectedSourceCount": 3
    }
  ],
  "total": 4503599627370495,
  "hasMore": true,
  "nextOffset": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

name
string

Filter by storefront name (partial match, case-insensitive)

status
enum<string>

Filter by display status: configuring, transacting, or archived.

Available options:
configuring,
transacting,
archived
channel
string

Filter to storefronts that carry this ADCP channel (e.g. display, olv, ctv).

region
string

Filter to storefronts that cover this region code (e.g. EMEA, NORAM, APAC).

visibility
enum<string>

Which storefronts to list. public (default) returns human-reviewed storefronts listed in the buyer marketplace. private returns ALL storefronts (configuring, transacting, archived, hidden, or pending review) owned by customers in the caller's parent organization.

Available options:
public,
private
limit
integer

Maximum storefronts per page (default: 20, max: 100)

Required range: x <= 100
offset
integer

Number of storefronts to skip for pagination (default: 0)

Required range: 0 <= x <= 9007199254740991

Response

List storefronts

Paginated list of storefront summaries available to a buyer

items
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991
hasMore
boolean
required
nextOffset
integer | null
required
Required range: 0 <= x <= 9007199254740991